// eslint-disable-next-line import/no-extraneous-dependencies
import { createTheme, globalTheme } from '@clds/component-theme';

const { palette, spacing } = globalTheme;

export const theme = createTheme({
  button: {
    background: {
      color: palette.primary,
    },
    icon: {
      color: palette.contrastInvert,
    },
    size: spacing.xxl,
  },
  background: palette.surface,
  border: {
    radius: '100px',
  },
  text: {
    color: palette.contrastHigh,
    padding: spacing.lg,
  },
});
