// eslint-disable-next-line import/no-extraneous-dependencies
import { startCase } from 'lodash';

export const sanitize = (title: string) => {
  const segments = title.split('/');
  const lastSegment = segments[segments.length - 1];
  const name = startCase(lastSegment);
  return [...segments.slice(0, -1), name].join('/');
};
