// eslint-disable-next-line import/no-extraneous-dependencies
import styled from 'styled-components';

// eslint-disable-next-line import/no-extraneous-dependencies
import { globalTheme } from '@clds/component-theme';

export const Description = {
  GlobalTheme: () => 'exposes mixins that return current values of theme',
  CreateTheme: () => 'allows to create custom component theme mixins',
  CombineValues: () =>
    'allows to combine any styled-component mixins into one value',
  CreateVariant: () =>
    'allows to access dynamically resolved branch of component theme in a convenient way',
  OverrideTheme: () =>
    'allows to inject overrides for particular theme into `<ThemeProvider>`',
  UseMixin: () => 'allows to access mixin value directly in a component',
};

export const ImageGallery = styled.div`
  display: flex;
  flex-wrap: wrap;
`;

export const Image = styled.img`
  width: 400px;
  margin: ${globalTheme.spacing.xxs};
  box-shadow: ${globalTheme.shadow.sm};
  border-radius: ${globalTheme.radius.lg};
`;
