// eslint-disable-next-line import/no-extraneous-dependencies
import { globalTheme, createTheme } from '@clds/component-theme';

export const theme = createTheme({
  border: { radius: '19px' },
  shadow: globalTheme.shadow.sm,
  text: {
    color: globalTheme.palette.contrastHigh,
    opacity: 0.12,
    cos: 123,
    cosInnego: 456,
  },
  onState: {
    padding: globalTheme.spacing.lg,
    background: { color: globalTheme.palette.surface },
  },
  offState: {
    padding: globalTheme.spacing.sm,
    background: { color: globalTheme.palette.primary },
  },
});
